Skip to content

insertDepreciationRun

DESTRUCTIVE

Insert depreciation run.

POST /api/v1/accounting/insertDepreciationRun
curl -X POST '<your-host>/api/v1/accounting/insertDepreciationRun' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "periodEnd": "string",
    "lines": []
  }'
Response
{
  "id": "string",
  "depreciationRunId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "depreciationRunId": {
      "type": "string"
    },
    "periodEnd": {
      "type": "string"
    },
    "lines": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "fixedAssetId": {
            "type": "string"
          },
          "amount": {
            "type": "number"
          },
          "taxAmount": {
            "type": [
              "number",
              "null"
            ]
          }
        },
        "required": [
          "fixedAssetId",
          "amount"
        ]
      }
    }
  },
  "required": [
    "periodEnd",
    "lines"
  ]
}